class Catcher
{
  int xloc = 0;
  int xMinLoc = 0;
  int xMaxLoc = 0;
  int yloc = 0;
  int xSpeed = 0;
  int ySpeed = 0;
  int score = 0;
  PImage catcherImage;
  boolean goodCatch;
  boolean badCatch;
  
  Catcher(int xMin, int xMax, PImage ci)
  {
    xloc = (xMax - xMin) / 2 + xMin;
    xMinLoc = xMin + 10; 
    xMaxLoc = xMax - 10;
    catcherImage = ci;
  }
  
  void drawOnScreen()
  {
    rectMode(CENTER);
    fill(255,50,50);
    image(catcherImage, xloc, yloc);
    yloc = 525;
  }
  
  void move()
  {
    xloc += xSpeed;
    
    if(getX() <= xMinLoc)
    {
      setX(xMinLoc);
    }
    else if(getX() >= xMaxLoc)
    {
      setX(xMaxLoc);
    }
    
  }
  
  void changeSpeed(int Speedx)
  {
    xSpeed = Speedx;
 
  }
  
  void addToScore(int s)
  {
    score = score + s;
  }
  
  void goLeft()
  {
    changeSpeed(-5);
 
  }
  
  void goRight()
  {
    changeSpeed(5);
 
  }
  
  void stopMoving()
  {
    xSpeed = 0;
  }
  
  int getX()
  {
    return xloc;
  }
  
  int getY()
  {
    return yloc;
  }
  
  void setX(int x)
  {
    xloc = x;
  }
  
  boolean goodCatch()
  {
    if (goodCatch)
    {
      goodCatch = false;
      return true;
    } else {
      return false;
    }
  }
  
  boolean badCatch()
  {
    if (badCatch)
    {
      badCatch = false;
      return true;
    } else {
      return false;
    }
  }
  
}